Subject: Re: difficulty creating unique frame names

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 Mar 2008 17:35:09 -0400

retitle 51 frame-title-format run with wrong selected-frame
thanks

> The Buffers>Frames menu thus presents a list of buffers many with the
> same names.

Indeed.  I don't think there's much we can do about that for now.

> Also, any command for manipulating frames by frame names
> really cannot use the name to distinguish between the frames.  Note that
> the Buffers>Frames cannot be used to select all the frames with the same
> name when there are more than 2 with the same name.  This is a bug!

Indeed, thanks.  Should be fixed now on the trunk.

> I wish to retain the "%b" functionality in the frame-title-format, so
> I have attempted to construct a FORM that will be evaluated when the
> frame title is desired to provide some unique element --- in this case
> a F%d where the %d is the index of the frame within the (frame-list), say.

> I find that it is not possible to calculate this correctly, as I have
> no means, from elisp, at the time the FORM is being evaluated, to
> obtain the frame in question.

Indeed, I expected `selected-frame' to return the right frame, but
it doesn't.  That's also a bug.  But it's not fixed yet.

        Stefan